# {{classname}}

All URIs are relative to *https://nwswarnings.weathersourceapis.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**OnpointsOnpointIdGet**](OnpointsApi.md#OnpointsOnpointIdGet) | **Get** /onpoints/{onpointId} | NWS advisories, watches and warnings for an OnPoint™ point.

# **OnpointsOnpointIdGet**
> NwsWarningsOnpointObj OnpointsOnpointIdGet(ctx, onpointId)
NWS advisories, watches and warnings for an OnPoint™ point.

Returns NWS advisories, watches and warnings data for an OnPoint™ point.  **IMPORTANT:** To authenticate to the Weather Source NWS Warnings API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.  When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **onpointId** | **int32**| An OnPoint™ ID. | 

### Return type

[**NwsWarningsOnpointObj**](nwsWarningsOnpointObj.md)

### Authorization

[ApiKeyAuth](../README.md#ApiKeyAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

